<?php

use lib\Configs\App;
use Dotenv\Dotenv;

define("DOCUMENTROOT_PATH", __DIR__);
define("ROOT_PATH", DOCUMENTROOT_PATH . DIRECTORY_SEPARATOR . ".." . DIRECTORY_SEPARATOR);

// 💡 .env 파일을 불러오기 위한 autoload
require_once ROOT_PATH . "vendor" . DIRECTORY_SEPARATOR . "autoload.php";

// .env 파일 로드
$dotenv = Dotenv::createImmutable(ROOT_PATH);
$dotenv->load();

// var_dump($_ENV); // .env 값들이 출력됩니다.
// exit;

// Constant 관련
define("APP_PATH",  ROOT_PATH . "lib" . DIRECTORY_SEPARATOR);
require_once APP_PATH . "Configs" . DIRECTORY_SEPARATOR . "App.php";
require_once APP_PATH . 'Configs' . DIRECTORY_SEPARATOR . 'Constant.php';

// var_dump($_ENV); // .env 값들이 출력됩니다.
// exit;

try {
  $app = new App();
  $app->run();
} catch (\Exception $e) {
  echo $e->getMessage();
}
